be.fgov.ehealth.messageservices.core.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.messageservices.core.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.messageservices.core.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.messageservices.core.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgeType` | `createAcknowledgeType()` Create an instance of `AcknowledgeType`
    `Nationality` | `createNationality()` Create an instance of `Nationality`
    `PatientType` | `createPatientType()` Create an instance of `PatientType`
    `RequestType` | `createRequestType()` Create an instance of `RequestType`
    `ResponseType` | `createResponseType()` Create an instance of `ResponseType`
    `RetrieveTransactionRequest` | `createRetrieveTransactionRequest()` Create an instance of `RetrieveTransactionRequest`
    `RetrieveTransactionResponse` | `createRetrieveTransactionResponse()` Create an instance of `RetrieveTransactionResponse`
    `SelectRetrieveTransactionType` | `createSelectRetrieveTransactionType()` Create an instance of `SelectRetrieveTransactionType`
    `SendTransactionRequest` | `createSendTransactionRequest()` Create an instance of `SendTransactionRequest`
    `SendTransactionResponse` | `createSendTransactionResponse()` Create an instance of `SendTransactionResponse`
    `TransactionType` | `createTransactionType()` Create an instance of `TransactionType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.messageservices.core.v1

  - ### Method Detail

    - #### createRequestType

          public RequestType createRequestType()

      Create an instance of `RequestType`

    - #### createAcknowledgeType

          public AcknowledgeType createAcknowledgeType()

      Create an instance of `AcknowledgeType`

    - #### createResponseType

          public ResponseType createResponseType()

      Create an instance of `ResponseType`

    - #### createPatientType

          public PatientType createPatientType()

      Create an instance of `PatientType`

    - #### createTransactionType

          public TransactionType createTransactionType()

      Create an instance of `TransactionType`

    - #### createSelectRetrieveTransactionType

          public SelectRetrieveTransactionType createSelectRetrieveTransactionType()

      Create an instance of `SelectRetrieveTransactionType`

    - #### createSendTransactionRequest

          public SendTransactionRequest createSendTransactionRequest()

      Create an instance of `SendTransactionRequest`

    - #### createSendTransactionResponse

          public SendTransactionResponse createSendTransactionResponse()

      Create an instance of `SendTransactionResponse`

    - #### createRetrieveTransactionRequest

          public RetrieveTransactionRequest createRetrieveTransactionRequest()

      Create an instance of `RetrieveTransactionRequest`

    - #### createRetrieveTransactionResponse

          public RetrieveTransactionResponse createRetrieveTransactionResponse()

      Create an instance of `RetrieveTransactionResponse`

    - #### createNationality

          public Nationality createNationality()

      Create an instance of `Nationality`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.